## com.saxonica.codegen
Class ExpressionClassMapper

    java.lang.Object
      com.saxonica.codegen.ExpressionClassMapper

    public class ExpressionClassMapper

extends java.lang.Object

For each class of expression found on the expression tree, deliver a corresponding instance of the helper class used to generate Java code for the expression

Field Summary
`static java.util.HashMap` `map`

Constructor Summary
`ExpressionClassMapper()`

Method Summary
`static ExpressionCompiler` `map(Expression exp)`
`static ValueCompiler` `map(Value val)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    public static java.util.HashMap map

Constructor Detail

### ExpressionClassMapper

    public ExpressionClassMapper()

Method Detail

### map

    public static ExpressionCompiler map(Expression exp)

### map

    public static ValueCompiler map(Value val)

Copyright (c) Saxonica Limited. All rights reserved.